name: cs_resources
description: 整体项目的资源，颜色，图片，字体等

version: 1.0.0

environment:
  sdk: ">=3.0.2 <4.0.0"

dependencies:
  flutter_localizations:
    sdk: flutter

  flutter:
    sdk: flutter

  # Riverpod核心库
  flutter_riverpod: ^2.5.1

  # Riverpod注解
  riverpod_annotation: ^2.3.5

flutter:
  uses-material-design: true

  assets:
    - assets/
    - assets/base_lib/
    - assets/base_service/
    - assets/notice_board/
    - assets/property/
    - assets/auth/
    - assets/community/
    - assets/main/
    - assets/profile/
    - assets/facility/
    - assets/service/
    - assets/payment/
    - assets/form/
    - assets/rewards/

flutter_intl:
  enabled: true
